LOWDOWN_TREE_NEW(3)

NAME
lowdown_tree_new - allocate a debugging renderer for lowdown documents

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
void *
lowdown_tree_new();

DESCRIPTION
The lowdown_tree_new function allocates a debugging renderer that simply prints out the parse tree. It must be freed with a call to lowdown_tree_free(3). The returned pointer may be used with multiple invocations of lowdown_tree_rndr(3).

RETURN VALUES
Always returns a valid pointer.

SEE ALSO
lowdown(3)